lomiri::shell::notifications::Hint Class Reference

Wraps NotificationInterface's hint flags. More...

`#include <lomiri/shell/notifications/Enums.h>`

Inheritance diagram for lomiri::shell::notifications::Hint:
[legend]
Collaboration diagram for lomiri::shell::notifications::Hint:
[legend]

## Public Types

enum | HintEnum { Invalid = 1 << 0 , ButtonTint = 1 << 1 , IconOnly = 1 << 2 }
| NotificationInterface's hint flags. More...

## Detailed Description

Wraps NotificationInterface's hint flags.

## Member Enumeration Documentation

## HintEnum

enum lomiri::shell::notifications::Hint::HintEnum

NotificationInterface's hint flags.

This modifies some visual and interactive behavior of the displayed notification.

Enumerator
ButtonTint | Use a colour tint on the positive button in a snap decision.
IconOnly | Only display the icon, no summary or body.

The documentation for this class was generated from the following file:

- include/lomiri/shell/notifications/Enums.h